substreams_yaml_path: ./sepolia-liquidityparty.yaml
adapter_contract: "LiquidityPartySwapAdapter"
adapter_build_signature: "constructor(address,address)"
# PartyPlanner, PartyInfo
adapter_build_args: "0x42977f565971F6D288a05ddEbC87A17276F71A29,0x605F803cD27F5c1fa01440B2cbd5D3E4Cf7EE850"
# Liquidity Party protocol fees are retained in the pool until collection, so the pool balance does not match the TVL.
skip_balance_check: true
protocol_type_names:
  - "liquidityparty_pool"
protocol_system: "vm:liquidityparty"
initialized_accounts: [
  "0x42977f565971F6D288a05ddEbC87A17276F71A29", # PartyPlanner
  "0x605F803cD27F5c1fa01440B2cbd5D3E4Cf7EE850", # PartyInfo
  "0xA0375403921e9B357E1BeD57bef3fA3FCE80acd0", # PartyPoolMintImpl
  "0x6aA001e87F86E83bc4D569883332882cb47E2A13", # PartyPoolSwapImpl
]

tests:
  - name: test_pool_creation
    start_block: 23978797
    stop_block: 23978798
    initialized_accounts: []
    expected_components:
      - id: "0x2A804e94500AE379ee0CcC423a67B07cc0aF548C"
        tokens:
          # Does this test whether the tokens are in the correct order?
          - "0xdAC17F958D2ee523a2206206994597C13D831ec7" # USDT
          - "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48" # USDC
          - "0x2260FAC5E5542a773Aa44fBCfeDf7C193bc2C599" # WBTC
          - "0xC02aaA39b223FE8D0A0e5C4F27eAD9083C756Cc2" # WETH
          - "0x1f9840a85d5aF5bf1D1762F925BDADdC4201F984" # UNI
          - "0xD31a59c85aE9D8edEFeC411D448f90841571b89c" # SOL
          - "0x50327c6c5a14DCaDE707ABad2E27eB517df87AB5" # TRX
          - "0x7Fc66500c84A76Ad7e9c93437bFc5Ac33E2DDaE9" # AAVE
          - "0x6982508145454Ce325dDbE47a25d4ec3d2311933" # PEPE
          - "0x95aD61b0a150d79219dCF64E1E6Cc01f0B64C4cE" # SHIB
        static_attributes: {}
        creation_tx: "0x5c8b1e1e6ec10143a1252799d14df09c7e84f6a99ccde95fc11295a61c20060e"
        skip_simulation: false
        skip_execution: false
